<link rel="import" href="/bower_components/polymer/polymer-element.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<!--
`<log-entry>` is not documented properly yet
-->
<dom-module id="log-entry">
  <template>
    <link rel="stylesheet" href="log-entry.css?__inline=true">
    <style include="l1page-theme"></style>

    <iron-icon icon="[[_getIcon(severity)]]"></iron-icon>
    <div>
      <p title>
        <span subsystem>[[title]]</span><span app>[[subtitle]]</span>
      </p>
      <p message id=message></p>
    </div>

    <slot></slot>
  </template>
</dom-module>

<script src="log-entry.js?__inline=true"></script>
